Bug 1773449 (CVE-2019-18838) - CVE-2019-18838 envoy: malformed HTTP request without the Host header may cause abnormal termination of the Envoy process
Summary: CVE-2019-18838 envoy: malformed HTTP request without the Host header may caus...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-18838
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1773455
TreeView+ depends on / blocked
 
Reported: 2019-11-18 07:58 UTC by Marian Rehak
Modified: 2020-05-06 14:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in envoy. A malformed HTTP request without the Host header may cause abnormal termination of the Envoy process. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2019-12-12 01:24:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:4222 None None None 2019-12-11 21:28:15 UTC

Description Marian Rehak 2019-11-18 07:58:40 UTC
Malformed HTTP request without the Host header may cause abnormal termination of the Envoy process

Comment 4 kconner 2019-12-05 11:47:41 UTC
Note the alias for this issue is CVE-1019-18838 but should be CVE-2019-18838, I've updated the summary but there appears to be something else to be updated by the security team.  Tim added the same comment on 25th November.

Comment 6 errata-xmlrpc 2019-12-11 21:28:14 UTC
This issue has been addressed in the following products:

  Openshift Service Mesh 1.0
  OpenShift Service Mesh 1.0

Via RHSA-2019:4222 https://access.redhat.com/errata/RHSA-2019:4222

Comment 7 Product Security DevOps Team 2019-12-12 01:24:06 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-18838


Note You need to log in before you can comment on or make changes to this bug.